Bug 1228203 - Review Request: springframework-data-redis - Provides support to increase developer productivity in Java when using Redis
Summary: Review Request: springframework-data-redis - Provides support to increase dev...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1228146 1228162 1228169 1228172 1236511
Blocks: 1215061
TreeView+ depends on / blocked
 
Reported: 2015-06-04 12:01 UTC by gil cattaneo
Modified: 2015-10-01 18:50 UTC (History)
2 users (show)

Fixed In Version: 1.3.5-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-01 18:50:04 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-06-04 12:01:45 UTC
Spec URL: https://gil.fedorapeople.org/springframework-data-redis.spec
SRPM URL: https://gil.fedorapeople.org/springframework-data-redis-1.3.5-1.fc20.src.rpm
Description:
Spring Data Redis, part of the larger Spring Data family, provides
easy configuration and access to Redis from Spring applications. It
offers both low-level and high-level abstractions for interacting with
the store, freeing the user from infrastructural concerns.

Fedora Account System Username: gil

Comment 3 Jerry James 2015-08-28 15:59:53 UTC
I will take this review.

Comment 4 Jerry James 2015-08-28 19:15:01 UTC
Issues, in no particular order
- There is one bundled source file:

  src/main/java/org/springframework/data/redis/connection/util/Base64.java

  It carries a BSD license.  It probably isn't packaged anywhere, since it is
  a single class file, so I'm not concerned about the bundling.  I don't know
  what that does to the license field, though.  If ASL 2.0 subsumes BSD, then
  the current license tag is fine.  Otherwise, it needs to be "ASL 2.0 and
  BSD", with a comment explaining the license breakdown.

- The final requires include "mvn(junit:junit)".  Is that correct, or is that
  an unintended side effect of adding test deps in %prep?

- Under the Java section is a question about whether the upstream build method
  is used.  That doesn't appear to be the case here.  The build is being done
  with maven, but it looks like gradle is the upstream build tool of choice.
  I'm ignorant about such matters, though.  Does this matter?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (3 clause)", "Unknown or generated". 20
     files have unknown license. Detailed output of licensecheck in
     /home/jamesjer/1228203-springframework-data-redis/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[!]: Latest version is packaged.
     The spec file contains justification for this.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     But maven runs the tests at build time, so this doesn't matter.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[!]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: springframework-data-redis-1.3.5-1.fc24.noarch.rpm
          springframework-data-redis-javadoc-1.3.5-1.fc24.noarch.rpm
          springframework-data-redis-1.3.5-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
springframework-data-redis (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(junit:junit)
    mvn(net.sf.cglib:cglib)
    mvn(org.slf4j:slf4j-api)
    mvn(org.springframework:spring-aop)
    mvn(org.springframework:spring-context)
    mvn(org.springframework:spring-context-support)
    mvn(org.springframework:spring-core)
    mvn(org.springframework:spring-tx)

springframework-data-redis-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
springframework-data-redis:
    mvn(org.springframework.data:spring-data-redis)
    mvn(org.springframework.data:spring-data-redis:pom:)
    osgi(org.springframework.data.redis)
    springframework-data-redis

springframework-data-redis-javadoc:
    springframework-data-redis-javadoc



Source checksums
----------------
https://github.com/spring-projects/spring-data-redis/archive/v1.3.5.RELEASE.tar.gz :
  CHECKSUM(SHA256) this package     : 8ad11aa4b0f391ac9bb05bbc3b19e936d45230cd2429567b6a00a56ec00642b4
  CHECKSUM(SHA256) upstream package : 8ad11aa4b0f391ac9bb05bbc3b19e936d45230cd2429567b6a00a56ec00642b4
http://central.maven.org/maven2/org/springframework/data/spring-data-redis/1.3.5.RELEASE/spring-data-redis-1.3.5.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 5361fe32bedaa36579fd0603850d3c5713f7e418eab907383e060b9c5e29d7c2
  CHECKSUM(SHA256) upstream package : 5361fe32bedaa36579fd0603850d3c5713f7e418eab907383e060b9c5e29d7c2


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1228203 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 gil cattaneo 2015-08-28 19:54:12 UTC
(In reply to Jerry James from comment #4)
> Issues, in no particular order
> - There is one bundled source file:
> 
>   src/main/java/org/springframework/data/redis/connection/util/Base64.java
Removed. Use jvm Base64
>   It carries a BSD license.  It probably isn't packaged anywhere, since it is
>   a single class file, so I'm not concerned about the bundling.  I don't know
>   what that does to the license field, though.  If ASL 2.0 subsumes BSD, then
>   the current license tag is fine.  Otherwise, it needs to be "ASL 2.0 and
>   BSD", with a comment explaining the license breakdown.
Only for information net.iharder:base64 is under Public Domain license
> - The final requires include "mvn(junit:junit)".  Is that correct, or is that
>   an unintended side effect of adding test deps in %prep?
Fixed
> - Under the Java section is a question about whether the upstream build
> method
>   is used.  That doesn't appear to be the case here.  The build is being done
>   with maven, but it looks like gradle is the upstream build tool of choice.
>   I'm ignorant about such matters, though.  Does this matter?
No, is irrilevant

Spec URL: https://gil.fedorapeople.org/springframework-data-redis.spec
SRPM URL: https://gil.fedorapeople.org/springframework-data-redis-1.3.5-2.fc22.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10874153

Comment 6 gil cattaneo 2015-08-28 19:56:30 UTC
(In reply to gil cattaneo from comment #5)
> (In reply to Jerry James from comment #4)

> >   with maven, but it looks like gradle is the upstream build tool of choice.
> >   I'm ignorant about such matters, though.  Does this matter?
> No, is irrilevant
sorry, is insignificant ...

Comment 7 Jerry James 2015-08-28 21:36:32 UTC
(In reply to gil cattaneo from comment #6)
> (In reply to gil cattaneo from comment #5)
> > No, is irrilevant
> sorry, is insignificant ...

:-)  That's fine, then.  Just wanted to check.  I see no other issues, so this package is APPROVED.

Comment 8 gil cattaneo 2015-08-28 21:53:54 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: springframework-data-redis
Short Description: Provides support to increase developer productivity in Java when using Redis
Upstream URL: http://projects.spring.io/spring-data-redis/
Owners: gil
Branches: f22 f23
InitialCC: java-sig

Comment 9 Gwyn Ciesla 2015-08-30 14:16:25 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-08-30 16:32:50 UTC
springframework-data-redis-1.3.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14589

Comment 11 Fedora Update System 2015-09-01 10:04:58 UTC
springframework-data-redis-1.3.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update springframework-data-redis'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14589

Comment 12 Fedora Update System 2015-09-18 19:00:18 UTC
springframework-data-redis-1.3.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-09-18 20:39:22 UTC
springframework-data-redis-1.3.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16190

Comment 14 Fedora Update System 2015-09-20 16:50:06 UTC
springframework-data-redis-1.3.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update springframework-data-redis'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16190

Comment 15 Fedora Update System 2015-10-01 18:50:03 UTC
springframework-data-redis-1.3.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.